package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsLotoSwitchMap;
import com.ktg.iscs.domain.dto.point.SwitchBindingPointDTO;
import com.ktg.iscs.domain.vo.loto.IsLotoSwitchMapVO;

/**
 * 开关布局Service接口
 *
 * @author cgj
 * @date 2025-08-21
 */
public interface IIsLotoSwitchMapService extends IService<IsLotoSwitchMap> {

    Page<IsLotoSwitchMapVO> getIsLotoSwitchMapPage(Page<IsLotoSwitchMap> page, IsLotoSwitchMap isLotoSwitchMap);

    Boolean insertIsLotoSwitchMap(IsLotoSwitchMap isLotoSwitchMap);

    Boolean updateIsLotoSwitchMap(IsLotoSwitchMap isLotoSwitchMap);

    IsLotoSwitchMap selectIsLotoSwitchMapById(Long switchMapId);

    IsLotoSwitchMap selectSwitchMapBySerialNumber(String serialNumber);

    Boolean updatePointsBindingSwitchMap(SwitchBindingPointDTO dto);

}
